package org.richfaces.realworld.service;

import javax.ejb.Remove;

import org.jboss.seam.annotations.Destroy;
import org.richfaces.realworld.domain.Album;

public interface IAlbumAction {

	public abstract void addAlbum(Album album);

	@Remove
	public abstract void remove();
	
	public void deleteAlbum(Album album);
	
	public void editAlbum(Album album);
	
	@Destroy
	public abstract void destroy();

}